
QGIS Application - Bug report #12813

Node tool on PostGIS table with null geometry causes crash

2015-05-22 10:29 AM - Simon Casley

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 20909

Description

Hi,

When using the node tool to edit features from a PostGIS table, I was getting an 'Unknown Exception' error whenever I tried to move a

node or add a new one. I’m then unable to display nodes on this layer – clicking on a feature brings up the message “Node tool: could not

snap to a segment on the current layer”. QGIS then crashes when I try to remove that layer, open a new project, or close QGIS.

Looks like it only happens on PostGIS layers that contain a feature with null geometry. Node tool works fine on the same data as a

shapefile.

I could edit the same PostGIS layer without any issue in 2.6.

Cheers

Simon

History

#1 - 2015-05-22 10:37 AM - Giovanni Manghi

- Category set to Digitising

- Status changed from Open to Feedback

could you please qgis master and report back?

#2 - 2015-05-25 01:23 PM - Simon Casley

I've just tried it on 2.9.0-Master (on Windows) 32 and 64 bit versions, and I get the same error.

Also, noticed that the extents of the layer shown in Metadata are initially: xMin,yMin 574694.62,474760.06 : xMax,yMax 1344737.38,926735.31, but after

clicking 'Update extents', they become: xMin,yMin

-179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,-17976

4234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,-17976931348623157081452742373170435679807056752584499659891747680315726078002853876058955863276687817154045895351438246423432132688946418276846754670353751698604991057655128207624549009038932894407586850845513394230458323690322294816580855933212

9332123348274797826204144723168738177180919299881250404026184124858368.00,-179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00 : xMax,yMax 17976931348623157081452742373170435679807056752584499659891747680315726078002853876058955863276687817154045895351438246423432132688946418276846754670353751698604

25844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00 : xMax,yMax 179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,17976931348623157081452742373170435679807056752584499659891747680315726078002853876058955

76551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00 : xMax,yMax 179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00

81250404026184124858368.00 : xMax,yMax

179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00

234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00,179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00

332123348274797826204144723168738177180919299881250404026184124858368.00,179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00
844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00

551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.00

250404026184124858368.00

Cheers

Simon

#3 - 2015-05-26 12:07 PM - Giovanni Manghi

- Affected QGIS version changed from 2.8.2 to master

please provide sample data.

#4 - 2015-05-29 10:27 AM - Simon Casley

- File stream_ln.backup added

- File stream_ln.zip added

Hi - here are sample data: a (sql) dump from postgresql and the same data saved as a shapefile. There is one feature (objectid 641) which has empty

geometry.

I'm using postgresql 9.1.15, postgis 2.0

Thanks!

#5 - 2015-05-29 10:44 PM - Giovanni Manghi

Simon Casley wrote:

Hi - here are sample data: a (sql) dump from postgresql a

no crash whatsoever here on qgis master, pg 9.3 postgis 2.1

#6 - 2015-06-14 12:40 AM - Giovanni Manghi

Simon Casley wrote:

Hi - here are sample data: a (sql) dump from postgresql and the same data saved as a shapefile. There is one feature (objectid 641) which has

empty geometry.

I'm using postgresql 9.1.15, postgis 2.0

Thanks!

I cannot replicate this on multiple systems and qgis/postgis versions. I would appreciate if you could test on other systems, so we can exclude that is a

local issue (as it is likely to be).

#7 - 2015-12-19 10:30 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
closing for lack of feedback.

Files

stream_ln.backup 145 KB 2015-05-29 Simon Casley

stream_ln.zip 40.6 KB 2015-05-29 Simon Casley
